/*
 * InvulgoTracker
 * Copyright (C) Thomas Andersen 2009 <thomas.1.andersen@gmail.com>
 *
 * InvulgoTracker is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * InvulgoTracker is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef TASKDETAILDLG_H
#define TASKDETAILDLG_H

#include <gtk/gtk.h>
#include "task-view.h"
#include "taskid.h"
#include "i-notify.h"

class TaskDetailDlg
{
public:
    TaskDetailDlg(TaskView *taskView, TaskId &id);
    virtual ~TaskDetailDlg();

    void Show(INotify *subscriber);
    void Response(gint responseId);
    void CalcEstimate();

    /**
      * Events.
      */
    enum {
        SAVED = 200
    };
private:
    GtkWidget *window;
    gulong responseHandler;
    gulong changeHandler1;
    gulong changeHandler2;
    gulong changeHandler3;
    TaskView *taskView;
    TaskId id;
    INotify *subscriber;
};

#endif // TASKDETAILDLG_H
